import request from '@/utils/request'

// 查询培训用户关联列表
export function listCultivateUser(query) {
  return request({
    url: '/business/cultivateUser/list',
    method: 'get',
    params: query
  })
}

// 查询培训用户关联详细
export function getCultivateUser(id) {
  return request({
    url: '/business/cultivateUser/' + id,
    method: 'get'
  })
}

// 新增培训用户关联
export function addCultivateUser(data) {
  return request({
    url: '/business/cultivateUser',
    method: 'post',
    data: data
  })
}

// 修改培训用户关联
export function updateCultivateUser(data) {
  return request({
    url: '/business/cultivateUser',
    method: 'put',
    data: data
  })
}

// 删除培训用户关联
export function delCultivateUser(id) {
  return request({
    url: '/business/cultivateUser/' + id,
    method: 'delete'
  })
}

// 导出培训用户关联
export function exportCultivateUser(query) {
  return request({
    url: '/business/cultivateUser/export',
    method: 'get',
    params: query
  })
}